Subject: Re: USB support on mpc5200 broken

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Sep 2008 11:50:47 +1000

On Wed, 2008-09-24 at 21:09 -0400, Jon Smirl wrote:
> On Wed, Sep 24, 2008 at 5:51 PM, Jon Smirl <[email-masked]> wrote:
> > USB is not working my hardware, so I booted my Efika and it's not
> > working there either.  This is with linus' current git.
> >
> > Can anyone verify this? Or know what happened to USB?
> > USB is loading but it is not finding anything plugged in.
> > lsusb doesn't show anything.
> >
> > Last time I noticed it was working was about ten days ago. I don't use
> > it everyday.
> 
> Efika is broken because of this:
> 
> ohci-ppc-of.c...
> 	is_bigendian =
> 		of_device_is_compatible(dn, "ohci-bigendian") ||
> 		of_device_is_compatible(dn, "ohci-be");
> 
> Efika doesn't have either of those in it's compatible string.
> 
> This doesn't look to me like a very reliable way to determine bigendian.

You mean it's not reliable to expect people device-trees not to
suck ? :-)

Ben.